MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001993VCMIGUI - Hero screen / Exchange windowpublic2014-12-22 11:062015-02-15 04:41
ReporterSXX 
Assigned ToFay 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.97 
Target VersionFixed in Version0.97c 
Summary0001993: After picking artefact click on certain areas of hero / exchange screen cause crash
DescriptionThis affect both hero screen and exchange window, but crash only occur on click when you try to "put" articact into certain area.
Steps To Reproduce  - Run some map where hero have at least one artifact.
  - Open Hero screen.
  - Pick artifact.
  - Now click around in windo to "put" it. E.g for me crash occur when I click on empty army slot.
Additional InformationTested on git da76a2f227ee5b7925a3e34d4b3571cbf44ff9e7.
Unfortunately not able to test it in stable 0.97 on Windows at moment.

In case it's related to coordinates I'm playing at 1920x1080 in windowed mode.
Only high-res menu and VCMI essential files are active.
TagsNo tags attached.
Attached Filestxt file icon backtrace.txt [^] (921 bytes) 2014-12-22 11:06 [Show Content]

- Relationships

-  Notes
(0005392)
SXX (administrator)
2015-01-25 07:16

This one is fixed by Fay here:
https://github.com/vcmi/vcmi/pull/77 [^]
https://github.com/Fayth/vcmi/commit/72f34a7799ebd80d807633f4e901e107dfd091d3 [^]

Tested it and confirm that problem solved.

- Issue History
Date Modified Username Field Change
2014-12-22 11:06 SXX New Issue
2014-12-22 11:06 SXX File Added: backtrace.txt
2015-01-25 07:16 SXX Note Added: 0005392
2015-01-25 08:28 SXX Assigned To => Fay
2015-01-25 08:28 SXX Status new => assigned
2015-01-25 10:33 Fay Status assigned => resolved
2015-01-25 10:33 Fay Resolution open => fixed
2015-01-25 10:33 Fay Fixed in Version => 0.97c
2015-02-15 04:41 SXX Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean